Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class CapacityInfo

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacket
          org.codehaus.activemq.message.CapacityInfo

All Implemented Interfaces:
  Packet

public class CapacityInfo
extends AbstractPacket

Infomation about the Capacity for more messages for a Connection/Broker

Version:
  $Revision: 1.2 $

Field Summary

Fields inherited from class org.codehaus.activemq.message.AbstractPacket
`bitArray, BROKERS_VISITED_INDEX, RECEIPT_REQUIRED_INDEX`

Fields inherited from interface org.codehaus.activemq.message.Packet
`ACTIVEMQ_BROKER_INFO, ACTIVEMQ_BYTES_MESSAGE, ACTIVEMQ_CONNECTION_INFO, ACTIVEMQ_MAP_MESSAGE, ACTIVEMQ_MESSAGE, ACTIVEMQ_MSG_ACK, ACTIVEMQ_OBJECT_MESSAGE, ACTIVEMQ_STREAM_MESSAGE, ACTIVEMQ_TEXT_MESSAGE, CAPACITY_INFO, CAPACITY_INFO_REQUEST, CONSUMER_INFO, DURABLE_UNSUBSCRIBE, INT_RESPONSE_RECEIPT_INFO, PRODUCER_INFO, RECEIPT_INFO, RESPONSE_RECEIPT_INFO, SESSION_INFO, TRANSACTION_INFO, WIRE_FORMAT_INFO, XA_TRANSACTION_INFO`

Constructor Summary
`CapacityInfo()`

Method Summary
`int` | `getCapacity()`
`String` | `getCorrelationId()`
`long` | `getFlowControlTimeout()`
`int` | `getPacketType()` Return the type of Packet
`String` | `getResourceName()`
`void` | `setCapacity(int capacity)`
`void` | `setCorrelationId(String correlationId)`
`void` | `setFlowControlTimeout(long flowControlTimeout)`
`void` | `setResourceName(String resourceName)`
`String` | `toString()`

Methods inherited from class org.codehaus.activemq.message.AbstractPacket
`addBrokerVisited, decrementMemoryReferenceCount, equals, equals, getBitArray, getBrokersVisited, getBrokersVisitedAsString, getId, getMemoryUsage, getMemoryUsageReferenceCount, getPacketTypeAsString, hashCode, hasVisited, incrementMemoryReferenceCount, initializeBrokersVisited, initializeOther, isJMSMessage, isReceipt, isReceiptRequired, setBitArray, setId, setMemoryUsage, setReceiptRequired`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CapacityInfo

    public CapacityInfo()

Method Detail

### getPacketType

    public int getPacketType()

  Description copied from interface: `Packet`
  Return the type of Packet

  Returns:
    the PacketType

### getCapacity

    public int getCapacity()

  Returns:
    Returns the capacity.

### setCapacity

    public void setCapacity(int capacity)

  Parameters:
    `capacity` - The capacity to set.

### getResourceName

    public String getResourceName()

  Returns:
    Returns the resourceName.

### setResourceName

    public void setResourceName(String resourceName)

  Parameters:
    `resourceName` - The resourceName to set.

### getCorrelationId

    public String getCorrelationId()

  Returns:
    Returns the correlationId.

### setCorrelationId

    public void setCorrelationId(String correlationId)

  Parameters:
    `correlationId` - The correlationId to set.

### getFlowControlTimeout

    public long getFlowControlTimeout()

  Returns:
    Returns the flowControlTimeout (ms)

### setFlowControlTimeout

    public void setFlowControlTimeout(long flowControlTimeout)

  Parameters:
    `flowControlTimeout` - The flowControlTimeout to set(ms).

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPacket`
  Returns:
    a pretty print

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.